#include <stdio.h>
#include "includes.h"

FIND_TYPE *find;

int out_file()
{
    FILE *out_f;

    if( ( out_f = fopen( OUT_FILE, "a" ) ) == NULL )
    {
	log( "Can't create OUT_FILE \"%s\"!", OUT_FILE );
	return( -1 );
    }

#ifdef	SRIF
    // TODO ---   .
    if( !SRIF_FREQ )
	fprintf( out_f, "+%s/%s\n", find->path, find->file );
    else
#endif	/* SRIF */
	fprintf( out_f, "%s/%s %s\n", find->path, find->file, find->file );

    fclose( out_f );
    return( 0 );
}

#ifdef	SRIF
int srif_out_file()
{
    FILE *out_f;
    char *rep_file;

    //     --- .
    if( REP_FILE == NULL ) return( 0 );

    if( ( out_f = fopen( OUT_FILE, "a" ) ) == NULL )
    {
	log( "Can't create OUT_FILE \"%s\"!", OUT_FILE );
	//  REP_FILE
	remove( REP_FILE );
	return( -1 );
    }

    //  pkt
    rep_file = report2pkt( REP_FILE );

    //  pkt   ,    REP_FILE

    if( rep_file != NULL )
	log( "Send Response File \"%s\"", rep_file );
    else
	log( "Send Response File \"%s\"!", REP_FILE );

    if( rep_file != NULL )
	fprintf( out_f, "=%s\n", rep_file );
    else
	fprintf( out_f, "=%s\n", REP_FILE );

    fclose( out_f );

    //  REP_FILE.    ,  pkt !
    if( rep_file != NULL ) remove( REP_FILE );

    return( 0 );
}
#endif	/* SRIF */
